local utils = require("utils")

local lemonLimiter = {}
lemonLimiter.name = "EvaHelper/ExplosiveLemonLimiter"
lemonLimiter.depth = 0
lemonLimiter.placements = {
	{
		name = "Explosive Lemon Limiter",
		data = {
			step = 0.25,
			period = 20,
			delay = 1.5,
			size = 24,
			flagOnly = ""
		}
	}
}

lemonLimiter.fieldInformation = {
	size = { fieldType = "integer", minimumValue = 1 },
}

function lemonLimiter.texture(room, entity)
	return "Evidence02/objects_eva/ahorn/lemon_limiter"
end

return lemonLimiter
